package com.jxy.system.mapper;

import com.jxy.system.entity.StrategyUser;

/**
 * @Description TODO
 * @Date 2023/1/30 11:56
 * @Author 杜懿
 */
public interface StrategyMapper {

    /**
     * 通过用户名查询用户
     *
     * @param userName 用户名
     * @return 用户对象信息
     */
    public StrategyUser selectUserByUserName(String userName);

    /**
     * 校验用户名称是否唯一
     *
     * @param userName 用户名称
     * @return 结果
     */
    public int checkUserNameUnique(String userName);

    /**
     * 修改用户信息
     *
     * @param user 用户信息
     * @return 结果
     */
    public int updateUser(StrategyUser user);
}
